"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.progressBar = void 0;
function progressBar(current, total, opts = {}) {
    const { width = 20, complete = "=", incomplete = "-" } = opts;
    if (total <= 0 || current < 0 || current > total) {
        return null;
    }
    const unit = total / width;
    const pos = Math.floor(current / unit);
    return `${complete.repeat(pos)}${incomplete.repeat(width - pos)}`;
}
exports.progressBar = progressBar;
